OpenTTD Source: StoryPageButtonData Struct Reference

OpenTTD Source 15.0-beta1

Public Member Functions | Data Fields
StoryPageButtonData Struct Reference

Helper to construct packed "id" values for button-type StoryPageElement. More...

`#include <story_base.h>`

## Public Member Functions
void | SetColour (Colours button_colour)
| Set the button background colour.
void | SetFlags (StoryPageButtonFlags flags)
void | SetCursor (StoryPageButtonCursor cursor)
| Set the mouse cursor used while waiting for input for the button.
void | SetVehicleType (VehicleType vehtype)
| Set the type of vehicles that are accepted by the button.
Colours | GetColour () const
| Get the button background colour.
StoryPageButtonFlags | GetFlags () const
StoryPageButtonCursor | GetCursor () const
| Get the mouse cursor used while waiting for input for the button.
VehicleType | GetVehicleType () const
| Get the type of vehicles that are accepted by the button.
bool | ValidateColour () const
| Verify that the data stored a valid Colour value.
bool | ValidateFlags () const
bool | ValidateCursor () const
| Verify that the data stores a valid StoryPageButtonCursor value.
bool | ValidateVehicleType () const
| Verity that the data stored a valid VehicleType value.

## Data Fields
uint32_t | referenced_id

## Detailed Description

Helper to construct packed "id" values for button-type StoryPageElement.

Definition at line 122 of file story_base.h.

## Member Function Documentation

## ◆ GetColour()

Colours StoryPageButtonData::GetColour | ( |  | ) | const

Get the button background colour.

Definition at line 147 of file story.cpp.

References GB(), and IsValidColours().

## ◆ GetCursor()

StoryPageButtonCursor StoryPageButtonData::GetCursor | ( |  | ) | const

Get the mouse cursor used while waiting for input for the button.

Definition at line 160 of file story.cpp.

References GB(), and IsValidStoryPageButtonCursor().

## ◆ GetFlags()

StoryPageButtonFlags StoryPageButtonData::GetFlags | ( |  | ) | const

Definition at line 154 of file story.cpp.

## ◆ GetVehicleType()

VehicleType StoryPageButtonData::GetVehicleType | ( |  | ) | const

Get the type of vehicles that are accepted by the button.

Definition at line 168 of file story.cpp.

References GB().

## ◆ SetColour()

void StoryPageButtonData::SetColour | ( | Colours | button_colour | ) |

Set the button background colour.

Definition at line 121 of file story.cpp.

References SB().

## ◆ SetCursor()

void StoryPageButtonData::SetCursor | ( | StoryPageButtonCursor | cursor | ) |

Set the mouse cursor used while waiting for input for the button.

Definition at line 133 of file story.cpp.

References SB().

## ◆ SetFlags()

void StoryPageButtonData::SetFlags | ( | StoryPageButtonFlags | flags | ) |

Definition at line 127 of file story.cpp.

## ◆ SetVehicleType()

void StoryPageButtonData::SetVehicleType | ( | VehicleType | vehtype | ) |

Set the type of vehicles that are accepted by the button.

Definition at line 140 of file story.cpp.

References SB(), VEH_COMPANY_END, and VEH_INVALID.

## ◆ ValidateColour()

bool StoryPageButtonData::ValidateColour | ( |  | ) | const

Verify that the data stored a valid Colour value.

Definition at line 174 of file story.cpp.

References GB().

## ◆ ValidateCursor()

bool StoryPageButtonData::ValidateCursor | ( |  | ) | const

Verify that the data stores a valid StoryPageButtonCursor value.

Definition at line 190 of file story.cpp.

References GB().

## ◆ ValidateFlags()

bool StoryPageButtonData::ValidateFlags | ( |  | ) | const

Definition at line 179 of file story.cpp.

## ◆ ValidateVehicleType()

bool StoryPageButtonData::ValidateVehicleType | ( |  | ) | const

Verity that the data stored a valid VehicleType value.

Definition at line 196 of file story.cpp.

References GB(), VEH_COMPANY_END, and VEH_INVALID.

## Field Documentation

## ◆ referenced_id

uint32_t StoryPageButtonData::referenced_id

Definition at line 123 of file story_base.h.

The documentation for this struct was generated from the following files:

- src/story_base.h
- src/story.cpp